package com.jasamedika.medifirst2000.vo;

import javax.persistence.Column;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.validation.constraints.NotNull;

import com.jasamedika.medifirst2000.base.vo.BaseTransactionVO;
import com.jasamedika.medifirst2000.helper.Caption;

public class PapStatusMentalVO extends BaseTransactionVO{
	@ManyToOne
	@JoinColumn(name = "ObjectPapRiwayatPsikososialFk")
	@NotNull(message = "PapRiwayatPsikososial tidak boleh kosong")
	private PapRiwayatPsikososialVO papRiwayatPsikososial;
	
	@Column(name = "ObjectPapRiwayatPsikososialFk", insertable = false, updatable = false, nullable = true)
	private String papRiwayatPsikososialId;

	@ManyToOne
	@JoinColumn(name = "ObjectstatusMentalFk")
	@Caption(value="Object statusMental")
	private StatusMentalVO statusMental;
	
	@Column(name = "ObjectTempatTinggalFk", insertable = false, updatable = false, nullable = true)
	private Integer statusMentalId;

	@NotNull(message = "Is Nilai tidak boleh kosong")
	@Column(name = "isNilai")
	@Caption(value = "Is Nilai")
	private Boolean isNilai;

	public PapRiwayatPsikososialVO getPapRiwayatPsikososial() {
		return papRiwayatPsikososial;
	}

	public void setPapRiwayatPsikososial(PapRiwayatPsikososialVO papRiwayatPsikososial) {
		this.papRiwayatPsikososial = papRiwayatPsikososial;
	}

	public String getPapRiwayatPsikososialId() {
		return papRiwayatPsikososialId;
	}

	public void setPapRiwayatPsikososialId(String papRiwayatPsikososialId) {
		this.papRiwayatPsikososialId = papRiwayatPsikososialId;
	}

	public StatusMentalVO getStatusMental() {
		return statusMental;
	}

	public void setStatusMental(StatusMentalVO statusMental) {
		this.statusMental = statusMental;
	}

	public Integer getStatusMentalId() {
		return statusMentalId;
	}

	public void setStatusMentalId(Integer statusMentalId) {
		this.statusMentalId = statusMentalId;
	}

	public Boolean getIsNilai() {
		return isNilai;
	}

	public void setIsNilai(Boolean isNilai) {
		this.isNilai = isNilai;
	}

}
